Playing PSX Games

Discussion in 'PSP - Games & Content' started by XXPX1, Jun 17, 2008.

Jun 17, 2008

Playing PSX Games by XXPX1 at 5:02 PM (1,337 Views / 0 Likes) 11 replies

  1. XXPX1
    OP

    Newcomer XXPX1 Member

    Joined:
    Feb 25, 2008
    Messages:
    14
    Country:
    United States
    I've just recently bought a PSP Slim, and I have put CFW on it. My question now is how do I play PSX games on it.

    System Software: 3.90 M33-3

    I've tried to do a few things on my own, all prove to be fruitless. I have popsloader enabled and an FF7 Disc 1 Iso in the PSP/Games Dir but it still labels the data as corrupted. Obviously I am doing something wrong, or just plain out missing something.

    I've googled, I've searched these forums, and nothing I seem to do proves to be of any help. So, I've finally decided to post about it. Any help would be greatly appreciated.
     
  2. moozxy

    Member moozxy hamboning

    Joined:
    Jul 22, 2007
    Messages:
    1,466
    Country:
    United Kingdom
    You have to convert them to eboots.
     
  3. Shyn

    Member Shyn GBAtemp Regular

    Joined:
    Sep 10, 2006
    Messages:
    184
    Location:
    Sacramento, CA
    Country:
    United States
  4. myuusmeow

    Member myuusmeow GBAtemp Advanced Maniac

    Joined:
    Jun 24, 2007
    Messages:
    1,643
    Country:
    United States
  5. XXPX1
    OP

    Newcomer XXPX1 Member

    Joined:
    Feb 25, 2008
    Messages:
    14
    Country:
    United States
    Thanks everyone,

    Ill give this a shot. Im sure itll work without a problem.

    EDIT: Just tried it out with FF7, works great. Thanks everyone for the help.
     
  6. Pyrofyr

    Member Pyrofyr GBAtemp Maniac

    Joined:
    Apr 24, 2008
    Messages:
    1,258
    Location:
    Miami
    Country:
    United States
    Question:If all you need to do is convert, what the hell is Popsloader needed for?

    Just compatibility? And is it noticeable?
     
  7. myuusmeow

    Member myuusmeow GBAtemp Advanced Maniac

    Joined:
    Jun 24, 2007
    Messages:
    1,643
    Country:
    United States
    Sony sometimes screws up compatibility bad in updates. 3.71 will run FF7, but 3.90 won't. Popsloader lets you have all the benefits of the latest M33, with the benefits of older Pops.
     
  8. XXPX1
    OP

    Newcomer XXPX1 Member

    Joined:
    Feb 25, 2008
    Messages:
    14
    Country:
    United States
    Yea, I have popsloader and whenever I enter the first battle of FF7 it freezes till it reboots (automatically).

    I have read that FF7 has trouble with the opening of the game... is this the problems people have encountered?

    I downloaded 3.80 M33 Popsloader from Dark Alex's website. Enabled it through the recovery menu (holding R on boot). Is there something I'm missing, do i just need a save slightly later in the game to get past this or is this something else.

    Any help would be appreciated again, thanks guys for the quick replies too
     
  9. myuusmeow

    Member myuusmeow GBAtemp Advanced Maniac

    Joined:
    Jun 24, 2007
    Messages:
    1,643
    Country:
    United States
    I'm guessing you don't have the Pops. I'll PM you a file.
     
  10. XXPX1
    OP

    Newcomer XXPX1 Member

    Joined:
    Feb 25, 2008
    Messages:
    14
    Country:
    United States
    Alright, so Myuusmeow pm'ed the file. I've installed it however when I went to launch the game, I choose version 3.71 (for FF7 Disc 1) and it froze on the version select screen. I rebooted the PSP and whenever I go to launch the game, the loading screen for POPS Bios comes up however it freezes there.

    myuusmeow asked if I had MagicGate support on my MS, and I do. So any suggestions on why this would be happening, or how to fix it would be great. I'm trying to get this working before monday due to a trip I'm taking for a week. Playing FF7 again would past some idle time
     
  11. XXPX1
    OP

    Newcomer XXPX1 Member

    Joined:
    Feb 25, 2008
    Messages:
    14
    Country:
    United States
    Well, thanks to this tread:
    http://gbatemp.net/index.php?showtopic=91274

    I decided to try bumping the POPS version up to 3.72 and now it works.

    Let's see if I can get past battles =P

    If anyone knows why 3.71 wasnt working, I would still like to know... out of curiousity
     
  12. Shyn

    Member Shyn GBAtemp Regular

    Joined:
    Sep 10, 2006
    Messages:
    184
    Location:
    Sacramento, CA
    Country:
    United States
    I'm not sure what myuusmeow sent you, but it might not have had the 3.71 pops files. I normally extract my own pops files from the official updates, so I have no idea what would be wrong with yours, aside from that.
     

Share This Page